# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:56:43 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CipherSaber
Summary:	Crypt::CipherSaber Perl module - interface to CipherSaber 1 and 2 encryptions
Summary(pl):	Modu Perla Crypt::CipherSaber - interfejs do szyfrw CipherSaber 1 i 2
Name:		perl-Crypt-CipherSaber
Version:	0.61
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::CipherSaber is a Perl module providing an object oriented
interface to CipherSaber-1 and CipherSaber-2 encryption.

%description -l pl
Crypt::CipherSaber to modu Perla dajcy obiektowo zorientowany
interfejs do szyfrw CipherSaber-1 i CipherSaber-2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/CipherSaber.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-CipherSaber.spec,v $
Revision 1.3.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:44  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/28 22:18:02  qboosh
- new

